<template>
  <div class="HashManage">
    <div class="hashManage_top">
      <div class="left">
        <!-- 总算力 -->
        <div class="card">
          <div class="hashrate">
            <img src="/images/hashrate/总算力.png" alt="" />
            <div class="hashrateContent">
              <div class="label">总算力</div>
              <div class="data"><span class="number">42</span>路</div>
            </div>
          </div>
        </div>
        <!-- 实时算力 -->
        <HashCard></HashCard>
      </div>

      <div class="medium">
        <!-- 轮询算力 -->
        <HashCard class="topCard"></HashCard>
        <!-- 数据栈算力 -->
        <HashCard></HashCard>
      </div>

      <div class="right">
        <div class="title">算力信息</div>
        <div class="chart">
          <!-- 内存进度条 -->
          <div class="row">
            <div class="label">内存</div>
            <el-progress
              :percentage="50"
              :stroke-width="24"
              :show-text="false"
            ></el-progress>
            <div class="number">50%</div>
          </div>
          <!-- 算力进度条 -->
          <div class="row">
            <div class="label">算力</div>
            <el-progress
              :percentage="50"
              :stroke-width="24"
              :show-text="false"
            ></el-progress>
            <div class="number">50%</div>
          </div>
          <!-- CPU进度条 -->
          <div class="row">
            <div class="label">CPU</div>
            <el-progress
              :percentage="50"
              :stroke-width="24"
              :show-text="false"
            ></el-progress>
            <div class="number">50%</div>
          </div>
          <!-- 硬盘进度条 -->
          <div class="row">
            <div class="label">硬盘</div>
            <el-progress
              :percentage="50"
              :stroke-width="24"
              :show-text="false"
            ></el-progress>
            <div class="number">50%</div>
          </div>
        </div>
      </div>
    </div>

    <ClusterList></ClusterList>
  </div>
</template>

<script>
import HashCard from "@/views/hashrate/components/HashCard";
import ClusterList from "@/views/hashrate/components/ClusterList";
export default {
  components: {
    HashCard,
    ClusterList,
  },
};
</script>

<style lang="scss" scoped>
.HashManage {
  .hashManage_top {
    display: flex;
    margin: 24px 0;
  }

  .left,
  .medium {
    margin-right: 24px;
    flex: 1;

    .card {
      overflow: hidden;
      margin-bottom: 24px;
      height: 156px;
      background-color: #fff;

      .hashrate {
        margin-top: 38px;
        display: flex;
        justify-content: center;

        img {
          margin-right: 20px;
          width: 80px;
          height: 80px;
        }

        .hashrateContent {
          .label {
            margin-bottom: 4px;
            font-size: 14px;
          }

          .data {
            font-size: 16px;
            font-weight: 700;
            .number {
              font-size: 48px;
            }
          }
        }
      }
    }

    .topCard {
      margin-bottom: 24px;
    }
  }

  .right {
    box-sizing: border-box;
    padding: 20px;
    flex: 1;
    height: 336px;
    background-color: #fff;

    .title {
      margin-bottom: 54px;
      padding-left: 10px;
      height: 20px;
      line-height: 20px;
      border-left: 4px solid #0065ff;
      font-size: 16px;
      font-weight: 700;
    }

    .row {
      margin-bottom: 30px;
      display: flex;
      height: 24px;
      .label {
        width: 48px;
      }

      .el-progress ::v-deep {
        flex: 1;
        border-radius: 15px;
        .el-progress-bar__inner {
          background: linear-gradient(
            270deg,
            #0065ff 0%,
            rgba(0, 101, 255, 0.25) 100%
          );
        }

        .el-progress-bar__outer {
          background-color: #d4e3fa;
        }
      }

      .number {
        margin-left: 20px;
        font-size: 14px;
        color: #0065ff;
      }
    }
  }
}
</style>